All git-tf commands throwing exception

Nov 14, 2012 at 7:19 PM

I was able to setup git-tf successfully and push/pull to a TFS repo but just recently all git-tf commands are throwing this same error for me.



Exception in thread "main" java.lang.UnsatisfiedLinkError: com.microsoft.tfs.jni.internal.console.NativeConsole.nativeEnableEcho()Z
at com.microsoft.tfs.jni.internal.console.NativeConsole.nativeEnableEcho(Native Method)
at com.microsoft.tfs.jni.internal.console.NativeConsole.enableEcho(NativeConsole.java:56)
at com.microsoft.tfs.jni.ConsoleUtils.enableEcho(ConsoleUtils.java:47)
at com.microsoft.gittf.client.clc.commands.framework.Command.prompt(Command.java:464)
at com.microsoft.gittf.client.clc.commands.framework.Command.promptForPassword(Command.java:436)
at com.microsoft.gittf.client.clc.commands.framework.Command.promptForCredentials(Command.java:424)
at com.microsoft.gittf.client.clc.commands.framework.Command.getDefaultCredentials(Command.java:288)
at com.microsoft.gittf.client.clc.commands.framework.Command.getCredentials(Command.java:306)
at com.microsoft.gittf.client.clc.commands.framework.Command.getConnection(Command.java:324)
at com.microsoft.gittf.client.clc.commands.framework.Command.getVersionControlClient(Command.java:474)
at com.microsoft.gittf.client.clc.commands.framework.Command.getVersionControlService(Command.java:492)
at com.microsoft.gittf.client.clc.commands.PullCommand.run(PullCommand.java:144)
at com.microsoft.gittf.client.clc.Main.main(Main.java:328)


I'm on mac osx 10.8.2 using the lates versions of git (1.8.0) and git-tf (2.0.0.20121030)

Developer
Nov 14, 2012 at 7:22 PM

Hello,

Thanks for reporting this issue. This is a known issue with the latest mac osx update (10.8.2) we are working on addressing the issue as soon as possible. Sorry for the inconvenience.

Temp workaround would be to use an older version of the JAVA runtime.

Thanks,

Youhana

Nov 15, 2012 at 3:27 AM

This fixed my issue, thanks for your help!

Nov 28, 2012 at 7:59 PM

I have mac osx 10.7.5 with Java version "1.7.0_04" and am having the same issue.  I'm also unsure on where to get an older version, and if I am able to find one, do I just drop that JRE in the git-tf folder so git-tf runs 1.6 while the rest of the system runs 1.7?